Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Critical error when viewing images  (Read 2855 times)

0 Members and 1 Guest are viewing this topic.

jmmc

  • Coppermine regular visitor
  • **
  • Offline Offline
  • Posts: 50
Critical error when viewing images
« on: October 05, 2010, 09:19:51 pm »

Hello. So I turned off the views counter from getting displayed next to the pics thumbs so when I go to the 'Most viewed' and get them by order of most viewed sometimes some of the pics won't open and I get this error:

Quote
Critical error
There was an error while processing a database query

Not for all, I thought this only happened with the pics with less views but it seems random (?) and only sometimes because I noticed the same pics work others times. They always work on the normal view (when I'm not on the 'Most viewed' selected mode on display album) but is there any way to fix this so they'll open all the time?

Thanks in advance, sorry if I didn't explain myself very well but this is a bit weird and it's really what happens... I don't know if it's normal, just wanted to know why it happens and if it's possible to fix it.

Thanks in advance!
Logged

jmmc

  • Coppermine regular visitor
  • **
  • Offline Offline
  • Posts: 50
Re: Critical error when viewing images
« Reply #1 on: October 07, 2010, 04:30:57 pm »

Up. Anyone plz  :-\
Logged

Nibbler

  • Guest
Re: Critical error when viewing images
« Reply #2 on: October 07, 2010, 05:12:25 pm »

Enable debug mode in config and post the real error message next time it happens.
Logged

jmmc

  • Coppermine regular visitor
  • **
  • Offline Offline
  • Posts: 50
Re: Critical error when viewing images
« Reply #3 on: October 07, 2010, 08:17:00 pm »

Hey, sorry. Here it is:

Critical error

There was an error while processing a database query.

Quote
While executing query 'SELECT r.pid, r.aid, filepath, filename, url_prefix, pwidth, pheight, filesize, ctime, r.title, r.keywords, r.votes, pic_rating, hits, caption, r.owner_id, pic_raw_ip, pic_hdr_ip
                FROM cpg15x_pictures AS r
                INNER JOIN cpg15x_albums AS a ON a.aid = r.aid
                WHERE (r.aid = 672)
                AND approved = 'YES'
                AND hits > 0
                ORDER BY hits ASC, pid DESC
                 LIMIT 0 ,-7' in include/functions.inc.php on line 1593

mySQL error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '-7' at line 8

File: /home/cassieve/public_html/imgs/include/functions.inc.php - Line: 258 
Logged

jmmc

  • Coppermine regular visitor
  • **
  • Offline Offline
  • Posts: 50
Re: Critical error when viewing images
« Reply #4 on: October 09, 2010, 03:34:51 pm »

Looked around but couldnt find anything, sry if this has been reported b4 :(
Logged

Αndré

  • Administrator
  • Coppermine addict
  • *****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15760
Re: Critical error when viewing images
« Reply #5 on: October 12, 2010, 02:17:34 pm »

Please post a link to your gallery.
Logged

jmmc

  • Coppermine regular visitor
  • **
  • Offline Offline
  • Posts: 50
Logged

Joe Carver

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 1510
  • aka 'i-imagine'
    • Home Page
Re: Critical error when viewing images
« Reply #7 on: October 12, 2010, 11:42:41 pm »

You are running one version behind:
Quote
<!--Coppermine Photo Gallery 1.5.6 (stable)-->
Use the Download link above to get version 1.5.8. Then upgrade.

Your theme has not been updated to work with Coppermine versions 1.5.x. This does not belong in the <head>.
Quote
<script type="text/javascript" src="scripts.js"></script>

Custom themes from cpg 1.4.x must be updated for version 1.5.x. Read your document package.
Pages: [1]   Go Up
 

Page created in 0.02 seconds with 21 queries.